You are not logged in.

#26 2012-03-27 03:16:07

pyther
Member
Registered: 2008-01-21
Posts: 1,395
Website

Re: Spotify-beta does not start

@MorningWood are you also getting the segfault in dmesg?


Website - Blog - arch-home
Arch User since March 2005

Offline

#27 2012-03-27 03:23:52

MorningWood
Member
Registered: 2008-06-06
Posts: 68

Re: Spotify-beta does not start

No it is not, this is the only feedback upon attempting spotify startup:

/usr/share/spotify/spotify: /usr/lib/libcrypto.so.0.9.8: no version information available (required by /usr/share/spotify/spotify)
/usr/share/spotify/spotify: /usr/lib/libssl.so.0.9.8: no version information available (required by /usr/share/spotify/spotify)
03:23:06.265 I [breakpad.cpp:61] Registered Breakpad for product: spotify

03:23:06.266 I [translate.cpp:130] Reloading language file
03:23:06.268 I [breakpad.cpp:200] Searching for crashdumps: /home/mxw/.cache/spotify/*.dmp

All deps are installed.

Last edited by MorningWood (2012-03-27 03:25:37)

Offline

#28 2012-03-27 03:28:56

pyther
Member
Registered: 2008-01-21
Posts: 1,395
Website

Re: Spotify-beta does not start

Can you run  pacman -Qm? I'm not really sure why that is. Are you also using KDE?


Website - Blog - arch-home
Arch User since March 2005

Offline

#29 2012-03-27 03:40:00

MorningWood
Member
Registered: 2008-06-06
Posts: 68

Re: Spotify-beta does not start

pyther wrote:

Can you run  pacman -Qm? I'm not really sure why that is. Are you also using KDE?

Here you go pyther:

dockmanager 0.1.0-0.20110211
docky 2.1.3-1
flacon 0.6.0-1
lib32-acl 2.2.51-2
lib32-alsa-lib 1.0.24.1-1
lib32-attr 2.4.46-2
lib32-bzip2 1.0.6-1
lib32-dbus-core 1.4.16-1
lib32-expat 2.0.1-7
lib32-fontconfig 2.8.0-3
lib32-freetype2 2.4.8-1
lib32-gcc-libs 4.6.2-5
lib32-gettext 0.18.1.1-2
lib32-glib2 2.30.2-1
lib32-glibc 2.15-3
lib32-libdrm 2.4.30-1
lib32-libffi 3.0.10-3
lib32-libgl 7.11.2-2
lib32-libglapi 7.11.2-2
lib32-libice 1.0.7-1
lib32-libjpeg-turbo 1.1.1-1
lib32-libmng 1.0.10-6
lib32-libpciaccess 0.12.1-3
lib32-libpng 1.5.9-2
lib32-libsm 1.2.0-1
lib32-libtiff 3.9.5-1
lib32-libx11 1.4.4-1
lib32-libxau 1.0.6-2
lib32-libxcb 1.7-2
lib32-libxcursor 1.1.12-1
lib32-libxdamage 1.1.3-3
lib32-libxdmcp 1.1.0-1
lib32-libxext 1.3.0-1
lib32-libxfixes 5.0-1
lib32-libxi 1.4.5-1
lib32-libxrandr 1.3.2-1
lib32-libxrender 0.9.6-4
lib32-libxss 1.2.1-1
lib32-libxt 1.1.1-1
lib32-libxtst 1.2.0-1
lib32-libxv 1.0.6-1
lib32-libxxf86vm 1.1.1-1
lib32-mesa 7.11.2-2
lib32-openssl 1.0.0.f-1
lib32-pcre 8.21-1
lib32-qt 4.8.0-1
lib32-sqlite3 3.7.9-1
lib32-util-linux 2.20.1-1
lib32-zlib 1.2.5-6
libdesktop-agnostic 0.3.92-1
ntrack 1:16-2
openssl098 0.9.8.u-1
pianobar 2012.01.10-1
skype 2.2.0.35-2
spotify-beta 0.8.2.637-3
teamviewer-beta 7.0.9310-1
wine 1.3.36-1

and to answer your question I am indeed running KDE 4.8.x

Offline

#30 2012-03-27 12:17:14

pyther
Member
Registered: 2008-01-21
Posts: 1,395
Website

Re: Spotify-beta does not start

Does the updated version 0.8.2.639 change anything?


Website - Blog - arch-home
Arch User since March 2005

Offline

#31 2012-03-27 12:46:21

Sam Vimes
Member
From: Discworld
Registered: 2009-02-09
Posts: 26
Website

Re: Spotify-beta does not start

Nope, it still doesn't work..

Offline

#32 2012-03-27 17:37:07

Sam Vimes
Member
From: Discworld
Registered: 2009-02-09
Posts: 26
Website

Re: Spotify-beta does not start

i noticed a behaviour, which could be strange: when i start spotify, there are two processes "spotify" shown in system monitor. One uses around 37 mb of RAM, the other uses only around 270kb. Is this the normal behaviour?

Offline

#33 2012-03-29 23:55:09

MorningWood
Member
Registered: 2008-06-06
Posts: 68

Re: Spotify-beta does not start

I was wondering if there are any updates on this? I have installed the updated version and it knocked down the error output to only :
error while loading shared libraries: libnss3.so.1d: cannot open shared object file: No such file or directory

I read somewhere that it is necessary to make the proper libnss symlink in this situation but I have to admit that I don't know where to look.

Offline

#34 2012-03-30 22:52:23

shadyabhi
Member
From: Bangalore
Registered: 2010-05-23
Posts: 262
Website

Re: Spotify-beta does not start

MorningWood wrote:

I was wondering if there are any updates on this? I have installed the updated version and it knocked down the error output to only :
error while loading shared libraries: libnss3.so.1d: cannot open shared object file: No such file or directory

I read somewhere that it is necessary to make the proper libnss symlink in this situation but I have to admit that I don't know where to look.

sudo ln -s /usr/lib/libnss3.so /usr/share/spotify/libs/libnss3.so.1d
sudo ln -s /usr/lib/libnssutil3.so /usr/share/spotify/libs/libnssutil3.so.1d
sudo ln -s /usr/lib/libnspr4.so /usr/share/spotify/libs/libnspr4.so.0d
sudo ln -s /usr/lib/libplc4.so /usr/share/spotify/libs/libplc4.so.0d
sudo ln -s /usr/lib/libsmime3.so /usr/share/spotify/libs/libsmime3.so.1d

Then, launch with:

LD_LIBRARY_PATH=/usr/share/spotify/libs /usr/bin/spotify

Last edited by shadyabhi (2012-03-30 22:53:08)

Offline

#35 2012-03-31 00:46:22

MorningWood
Member
Registered: 2008-06-06
Posts: 68

Re: Spotify-beta does not start

shadyabhi wrote:
MorningWood wrote:

I was wondering if there are any updates on this? I have installed the updated version and it knocked down the error output to only :
error while loading shared libraries: libnss3.so.1d: cannot open shared object file: No such file or directory

I read somewhere that it is necessary to make the proper libnss symlink in this situation but I have to admit that I don't know where to look.

sudo ln -s /usr/lib/libnss3.so /usr/share/spotify/libs/libnss3.so.1d
sudo ln -s /usr/lib/libnssutil3.so /usr/share/spotify/libs/libnssutil3.so.1d
sudo ln -s /usr/lib/libnspr4.so /usr/share/spotify/libs/libnspr4.so.0d
sudo ln -s /usr/lib/libplc4.so /usr/share/spotify/libs/libplc4.so.0d
sudo ln -s /usr/lib/libsmime3.so /usr/share/spotify/libs/libsmime3.so.1d

Then, launch with:

LD_LIBRARY_PATH=/usr/share/spotify/libs /usr/bin/spotify

this is what I'm getting:

/usr/bin/spotify: /usr/lib/libcrypto.so.0.9.8: no version information available (required by /usr/bin/spotify)
/usr/bin/spotify: /usr/lib/libssl.so.0.9.8: no version information available (required by /usr/bin/spotify)
00:45:46.737 I [breakpad.cpp:61] Registered Breakpad for product: spotify

00:45:46.738 I [translate.cpp:130] Reloading language file
00:45:46.740 I [breakpad.cpp:200] Searching for crashdumps: /home/mxw/.cache/spotify/*.dmp

00:45:46.929 A [CefModule.cpp:324] Check failed: g_cef_handle: 

E: I wanted to add that I did link the libcrypto and libssl files as well so I'm not sure why version information is not availabe.

Last edited by MorningWood (2012-03-31 00:54:37)

Offline

#36 2012-04-01 06:28:50

burra
Member
From: Vaasa, Finland
Registered: 2006-05-26
Posts: 54

Re: Spotify-beta does not start

Hi,
getting the same problem. I also tried to install the new updated spotify-beta version. But this stops with the same message as the updated spotify version even without making symlinks.

spotify-beta-0.8.2.639-1

$ spotify 
/usr/share/spotify/spotify: /usr/lib/libcrypto.so.0.9.8: no version information available (required by /usr/share/spotify/spotify)
/usr/share/spotify/spotify: /usr/lib/libssl.so.0.9.8: no version information available (required by /usr/share/spotify/spotify)
06:02:53.805 I [breakpad.cpp:61] Registered Breakpad for product: spotify

06:02:53.830 I [translate.cpp:130] Reloading language file
06:02:53.832 I [breakpad.cpp:200] Searching for crashdumps: /home/burra/.cache/spotify/*.dmp

Last edited by burra (2012-04-01 06:39:27)

Offline

#37 2012-04-02 17:36:45

burra
Member
From: Vaasa, Finland
Registered: 2006-05-26
Posts: 54

Re: Spotify-beta does not start

Hi,
after removing the /home/user/.cache/spotify files I got a bit further but it still don't start.

$ spotify 
/usr/share/spotify/spotify: /usr/lib/libcrypto.so.0.9.8: no version information available (required by /usr/share/spotify/spotify)
/usr/share/spotify/spotify: /usr/lib/libssl.so.0.9.8: no version information available (required by /usr/share/spotify/spotify)
17:35:36.141 I [breakpad.cpp:61] Registered Breakpad for product: spotify

17:35:36.142 I [translate.cpp:130] Reloading language file
17:35:36.144 I [breakpad.cpp:200] Searching for crashdumps: /home/burra/.cache/spotify/*.dmp

17:35:36.299 A [CefModule.cpp:324] Check failed: g_cef_handle: 
[0402/203536:ERROR:object_proxy.cc(239)] Failed to call method: org.freedesktop.DBus.Error.ServiceUnknown: The name org.freedesktop.NetworkManager was not provided by any .service files

Offline

#38 2012-04-05 15:16:16

MorningWood
Member
Registered: 2008-06-06
Posts: 68

Re: Spotify-beta does not start

Anyone?

Offline

#39 2012-04-05 15:22:55

xhochy
Member
Registered: 2012-03-25
Posts: 6

Re: Spotify-beta does not start

MorningWood: Do you use the spotify or the spotify-beta AUR package?

There are known issues with libQtWebkit. Using the spotify-beta package works for me, the spotify package does not.

Last edited by xhochy (2012-04-05 15:24:22)

Offline

#40 2012-04-05 16:41:03

MorningWood
Member
Registered: 2008-06-06
Posts: 68

Re: Spotify-beta does not start

I actually tried both with the same results.

E: I'm using KDE 4.8.2 on an x64 system if those details help.

Last edited by MorningWood (2012-04-05 16:49:59)

Offline

#41 2012-04-06 18:24:54

tsw
Member
Registered: 2012-04-06
Posts: 3

Re: Spotify-beta does not start

Hey ppl, new user from sweden here.

Anyway, system: Linux 3.2.14-1-ARCH 64bit, KDE 4.8.2, spotify-beta, and I had thesame errors, tried everything I could think of.

Then it happend, it started flawless.. what did I do.. scratch my head for a while, and voilá, (this is kde), so gtk-settings => qtcurve!

In my case, spotify will _only_ start with qtcurve, anything else give that error.

Hope it help someone!

//Tommy, Sweden.

Offline

#42 2012-04-10 20:16:53

burra
Member
From: Vaasa, Finland
Registered: 2006-05-26
Posts: 54

Re: Spotify-beta does not start

changed to qtcurve in KDE. And it works.

Don't know if could have figured out this myself smile

Thanks tsw

Offline

Board footer

Powered by FluxBB